Subject: RE: [Simple] MSRP: HOL & SCTP

From: [email-masked]
Date: Tue, 29 Apr 2003 09:51:40 +0300

First off, without paying too much attention to the specific problem of HOL blocking between two relays, no, I don't want size limits to message sessions. Thinking that all MSRP messages fit relatively easily under 64k is a short sighted view on things. HTML, personalized backgrounds and embedded multimedia clips will easily bloat message sizes. If there's a limit, there needs to be a chuncking mechanism available from the beginning.

To the specific case of two relays sharing a single connection, how about already deployed systems like IRC? Is this a problem there? And if so, how is it solved there? Certainly IRC servers have been talking to each other far longer than SCTP has been around.

Cheers,
Aki

 > -----Original Message-----
 > From: ext Paul Kyzivat [mailto:[email-masked]]
 > Sent: 26 April, 2003 00:14
 > To: Randall Stewart (cisco)
 > Cc: Cullen Jennings; Adam Roach; Ben Campbell; Ken 
 > Morneault; Simple WG;
 > Jonathan Rosenberg; Robert Sparks
 > Subject: Re: [Simple] MSRP: HOL & SCTP
 > 
 > 
 > What about:
 > 
 > - firewall support? Don't we need to get this thru firewalls?
 >    or would we expect it only to be used between relays on the
 >    public internet?
 > 
 > - JVM support?
 > 
 > Also, even with SCTP between relays, there is still a 
 > congestion problem 
 > to solve as long as there are multiple hops. SCTP would only 
 > solve that 
 > for us if we used it end to end.
 > 
 > Do BEEP and/or Jabber deal with congestion?
 > 
 > 	Paul
 > 
 > Randall Stewart (cisco) wrote:
 > > Well lets see..
 > > 
 > > BSD - is available now.. (all of the triplets)
 > > Linux - It is available in 2.5.whatever but if I remember
 > >             right even numbers are there "stable" releases. So the
 > >             2.6 release... whenever linus calls it will 
 > have SCTP in 
 > > native. Will
 > >              this be within a year.. only linus knows :>
 > > 
 > > Solaris - I have just been informed Sun is stepping up its 
 > effort on 
 > > getting
 > >               past the "freeware" add that they currently 
 > offer and 
 > > putting it
 > >               into base solaris (when I don't know). Will 
 > it take a 
 > > year.. probably
 > >               but I hope not much longer...
 > > 
 > > HP - My contacts there tell me there is a stack currently 
 > (I think it is
 > >         an option.. they were not specific).. but they 
 > were considering
 > >         doing something else internally too.. of course they are a 
 > > conglomerate
 > >         of DEC/Compac/Tandum and HP.. so they have lots of 
 > platforms .. 
 > > which
 > >         ones run there SCTP .. I am not sure.. I could 
 > find out if you 
 > > would like..
 > > 
 > > 
 > > Windows - ?? I have no idea ?? I know there are add on 
 > stacks you can
 > >                   purchase for it.. but who knows what MS 
 > is doing... of 
 > > course
 > >                   I don't think one should "engineer" to 
 > windows... 
 > > better to
 > >                   do something like is mentioned below and 
 > when all of MS's
 > >                   competition rolls out there solution... 
 > you end up 
 > > with pressure
 > >                   on MS to come on board... otherwise you 
 > might has well 
 > > just
 > >                   get MS to design things for you.....
 > > 
 > > R
 > > 
 > > 
 > > Cullen Jennings wrote:
 > > 
 > >> I have been having some out of band discussions with 
 > Randall and Ken -
 > >> perhaps they can provide more here. It seems unlikely to 
 > me we will 
 > >> have it
 > >> on most servers in a year but I don't really know much about it's 
 > >> rollout.
 > >> Perhaps Randall or Ken can provide more info?
 > >>
 > >>
 > >> On 4/23/03 8:59 PM, "Adam Roach" <[email-masked]> wrote:
 > >>
 > >>  
 > >>
 > >>> If I thought we'd have SCTP on most major servers within
 > >>> a year, I'd agree.
 > >>>
 > >>> /a
 > >>>
 > >>>   
 > >>>
 > >>>> -----Original Message-----
 > >>>> From: Cullen Jennings [mailto:[email-masked]]
 > >>>> Sent: Wednesday, April 23, 2003 22:42
 > >>>> To: Ben Campbell; Paul Kyzivat
 > >>>> Cc: Simple WG; Jonathan Rosenberg; Robert Sparks
 > >>>> Subject: [Simple] MSRP: HOL & SCTP
 > >>>>
 > >>>>
 > >>>>
 > >>>> Another possible solution for the head of line blocking would
 > >>>> be to say that
 > >>>> it SHOULD support SCTP between relays and MUST support TLS
 > >>>> and have in the
 > >>>> limitations that you just have to live with blocking if 
 > you use TCP.
 > >>>>
 > >>>>
 > >>>> _______________________________________________
 > >>>> Simple mailing list
 > >>>> [email-masked]
 > >>>> https://www1.ietf.org/mailman/listinfo/simple
 > >>>>
 > >>>>     
 > >>>
 > >>> _______________________________________________
 > >>> Simple mailing list
 > >>> [email-masked]
 > >>> https://www1.ietf.org/mailman/listinfo/simple
 > >>>
 > >>>   
 > >>
 > >>
 > >>
 > >>  
 > >>
 > > 
 > > 
 > 
 > _______________________________________________
 > Simple mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/simple
 > 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple